package com.bocloud.ims.service.model;

import com.bocloud.ims.entity.resource.ClusterNode;

public class NodeHandler {

	private String handler;
	private ClusterNode node;
	private Long userId;

	/**
	 * @return the handler
	 */
	public String getHandler() {
		return handler;
	}

	/**
	 * @param handler
	 *            the handler to set
	 */
	public void setHandler(String handler) {
		this.handler = handler;
	}

	/**
	 * @return the node
	 */
	public ClusterNode getNode() {
		return node;
	}

	/**
	 * @param node
	 *            the node to set
	 */
	public void setNode(ClusterNode node) {
		this.node = node;
	}

	/**
	 * @return the userId
	 */
	public Long getUserId() {
		return userId;
	}

	/**
	 * @param userId
	 *            the userId to set
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public NodeHandler() {
		super();
	}

	public NodeHandler(String handler, ClusterNode node, Long userId) {
		super();
		this.handler = handler;
		this.node = node;
		this.userId = userId;
	}

}
